# Uses of Interface
org.apache.felix.http.base.internal.context.ExtServletContext

Packages that use ExtServletContext
Package
Description
org.apache.felix.http.base.internal.context
org.apache.felix.http.base.internal.handler
org.apache.felix.http.base.internal.service
org.apache.felix.http.base.internal.whiteboard

## Uses of ExtServletContext in org.apache.felix.http.base.internal.context

Classes in org.apache.felix.http.base.internal.context that implement ExtServletContext
Modifier and Type
Class
Description
`class`
`ExtServletContextWrapper`
Wrapper of an {code ExtServletContex}.
Constructors in org.apache.felix.http.base.internal.context with parameters of type ExtServletContext
Modifier
Constructor
Description
``
`ExtServletContextWrapper(ExtServletContext delegate)`

## Uses of ExtServletContext in org.apache.felix.http.base.internal.handler

Methods in org.apache.felix.http.base.internal.handler that return ExtServletContext
Modifier and Type
Method
Description
`ExtServletContext`
FilterHandler.`getContext()`
`ExtServletContext`
ListenerHandler.`getContext()`
`ExtServletContext`
ServletHandler.`getContext()`
Constructors in org.apache.felix.http.base.internal.handler with parameters of type ExtServletContext
Modifier
Constructor
Description
``
`FilterHandler(long contextServiceId, ExtServletContext context, FilterInfo filterInfo, org.osgi.framework.BundleContext bundleContext)`
``
`HttpServiceServletHandler(long contextServiceId, ExtServletContext context, ServletInfo servletInfo, jakarta.servlet.Servlet servlet)`
New handler
``
`HttpServiceServletHandler(ExtServletContext context, ServletInfo servletInfo, javax.servlet.Servlet servlet)`
New handler
``
`HttpServiceWebSocketServletHandler(ExtServletContext context, ServletInfo servletInfo, javax.servlet.Servlet servlet)`
``
`HttpSessionWrapper(jakarta.servlet.http.HttpSession session, ExtServletContext context, org.apache.felix.http.base.internal.HttpConfig config, boolean terminate)`
Creates a new `HttpSessionWrapper` instance.
``
`ListenerHandler(long contextServiceId, ExtServletContext context, ListenerInfo listenerInfo, org.osgi.framework.BundleContext bundleContext)`
``
`ServletHandler(long contextServiceId, ExtServletContext context, ServletInfo servletInfo)`
``
`WhiteboardServletHandler(long contextServiceId, ExtServletContext context, ServletInfo servletInfo, org.osgi.framework.BundleContext contextBundleContext, org.osgi.framework.Bundle registeringBundle, org.osgi.framework.Bundle httpWhiteboardBundle)`

## Uses of ExtServletContext in org.apache.felix.http.base.internal.service

Classes in org.apache.felix.http.base.internal.service that implement ExtServletContext
Modifier and Type
Class
Description
`class`
`ServletContextImpl`
Methods in org.apache.felix.http.base.internal.service that return ExtServletContext
Modifier and Type
Method
Description
`@NotNull ExtServletContext`
PerBundleHttpServiceImpl.`getServletContext(org.osgi.service.http.HttpContext context)`
Get a servlet context
`ExtServletContext`
ServletContextManager.`getServletContext(org.osgi.service.http.HttpContext httpContext)`
Methods in org.apache.felix.http.base.internal.service with parameters of type ExtServletContext
Modifier and Type
Method
Description
`void`
SharedHttpServiceImpl.`registerServlet(@NotNull String alias, @NotNull ExtServletContext httpContext, javax.servlet.Servlet servlet, @NotNull ServletInfo servletInfo)`
Register a servlet

## Uses of ExtServletContext in org.apache.felix.http.base.internal.whiteboard

Classes in org.apache.felix.http.base.internal.whiteboard that implement ExtServletContext
Modifier and Type
Class
Description
`class`
`PerBundleServletContextImpl`
This servlet context implementation represents the per bundle specific part of a servlet context backed by a servlet context helper.
Methods in org.apache.felix.http.base.internal.whiteboard that return ExtServletContext
Modifier and Type
Method
Description
`@Nullable ExtServletContext`
HttpServiceContextHandler.`getServletContext(@Nullable org.osgi.framework.Bundle bundle)`
`@Nullable ExtServletContext`
WhiteboardContextHandler.`getServletContext(@Nullable org.osgi.framework.Bundle bundle)`